#! /usr/bin/env python
#-----------------------------------------------------------------------------
# uptime.py
#-----------------------------------------------------------------------------
# A simple python script for retrieving the uptime and load averages.
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
import utld
import time
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
# Obtain the current uptime;
ut = utld.uptime();

# Obtain the load averages;
la = utld.loadavgs();

# Print the information;
print "%s up %s, load averages: %.2f, %.2f, %.2f" % (
	time.strftime("%H:%M:%S", time.localtime(time.time())),
	time.strftime("%H:%M:%S", time.gmtime(ut[0] + ut[1] * 1e-6)),
	la[0], la[1], la[2]
	);
#-----------------------------------------------------------------------------
